#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <thread>

#include "config.h"
#include "datadragon.h"
#include "lolautoaccept.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
	Q_OBJECT

public:
	MainWindow(QWidget *parent = nullptr);
	~MainWindow();

protected:
	virtual void closeEvent(QCloseEvent* event) override;
	virtual void resizeEvent(QResizeEvent *event) override;

private slots:
	void toggleMainswitch(bool);
	void aatoggled(bool);
	void smitewarntoggled(bool);

	void tabtoggled(Position, LolAutoAccept::State, bool);
	void tabchanged(Position, LolAutoAccept::State);

	void applyRunes();
	void autoWriteChanged();

signals:
	void requestTabChange(int tabindex);

private:
	// returns empty string on no match
	void onPosChange(Position newpos); // to trigger the signal from a QObject
	void onFail(); // get triggerd, when the autoacceptor fails (lost connection)

	Ui::MainWindow *ui;
	std::thread lolaathread;
	DataDragon dd;
	Config conf;
	LolAutoAccept lolaa;
};

#endif // MAINWINDOW_H
