#include <thread>

#include <limits.h>

#include <QApplication>
#include <QFile>
#include <QMessageBox>
#include <QTranslator>

#include <Log.h>

#include "arg.h"
#include "mainwindow.h"
#include "clientaccess.h"
#include "clientapi.h"

int main(int argc, char** argv) {
	Log::init();
	Log::setConsoleLogLevel(Log::Level::info);
#if __unix__
	Log::setColoredOutput(true);
#endif

	Args args = parseArgs(argc, argv);
	if(args.debugLog) {
		Log::setConsoleLogLevel(Log::Level::trace);
		Log::addLogfile("log.txt", Log::Level::trace);
		Log::debug << "debug Log enabled";
	}

	Log::info << "Hello, World!";
	Log::note << "Using Locale: " << QLocale().name().toStdString();

	QApplication app(argc, argv);
	QTranslator translator;
	if(translator.load(QLocale().name(), ":/ts")) {
		app.installTranslator(&translator);
	} else {
		Log::warn << "translation not found";
	}
	MainWindow win;
	QIcon icon(":/lolautoaccept.png");
	win.setWindowIcon(icon);

	win.show();
	int ret = app.exec();

	Log::stop();
	return ret;
}
